package com.red.circle.external.inner.service.message;

import com.red.circle.external.inner.model.cmd.message.RegisterAccountCmd;

/**
 * im账号管理.
 *
 * @author pengliang on 2023/7/12
 */
public interface ImAccountClientService {

  /**
   * 创建用户签名.
   */
  String createUserSig(Long userId);

  /**
   * 使用该接口将用户登录状态失效.
   */
  void kick(Long userId);

  /**
   * 注册账号.
   */
  void register(RegisterAccountCmd cmd);

  /**
   * 更新IM资料设置-头像.
   */
  void portraitSetAvatar(Long userId, String avatar);


  /**
   * 更新IM资料设置-昵称.
   */
  void portraitSetNickname(Long userId, String nickname);
}
